Python (SDK)
from meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.llm.evals.create_suite_share(suite_id="eval_suite_aa87e2b1112a455b8deabed784372198", org_id="org-partner")
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.llm.evals.createSuiteShare({
suiteId: "eval_suite_aa87e2b1112a455b8deabed784372198",
createEvalSuiteShareRequest: {
orgId: "org-partner",
},
});
console.log(result);
}
run();using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.Llm.Evals.CreateSuiteShareAsync(
suiteId: "eval_suite_aa87e2b1112a455b8deabed784372198",
body: new MeetKai.MKA1.Types.Components.CreateEvalSuiteShareRequest() {
OrgId = "org-partner",
}
);
// handle responsecurl --request POST \
--url https://apigw.mka1.com/api/v1/llm/evals/suites/{suite_id}/shares \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"org_id": "org-partner"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({org_id: 'org-partner'})
};
fetch('https://apigw.mka1.com/api/v1/llm/evals/suites/{suite_id}/shares', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://apigw.mka1.com/api/v1/llm/evals/suites/{suite_id}/shares",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'org_id' => 'org-partner'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://apigw.mka1.com/api/v1/llm/evals/suites/{suite_id}/shares"
payload := strings.NewReader("{\n \"org_id\": \"org-partner\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://apigw.mka1.com/api/v1/llm/evals/suites/{suite_id}/shares")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"org_id\": \"org-partner\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://apigw.mka1.com/api/v1/llm/evals/suites/{suite_id}/shares")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"org_id\": \"org-partner\"\n}"
response = http.request(request)
puts response.read_body{
"id": "eval_share_aa87e2b1112a455b8deabed784372198",
"object": "eval.suite.share",
"suite_id": "eval_suite_aa87e2b1112a455b8deabed784372198",
"org_id": "org-partner",
"granted_by": "user_1234",
"created_at": 1704067200
}Evals
Share an eval suite with an org
Grants another org on this cluster read-only access to the suite, its versions and every run under it, including runs by other members of the owning team. Org admins only, and never a delegated (on-behalf-of) context (403); the owning org cannot be the recipient. Sharing again with the same org returns the existing grant.
POST
/
api
/
v1
/
llm
/
evals
/
suites
/
{suite_id}
/
shares
Python (SDK)
from meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.llm.evals.create_suite_share(suite_id="eval_suite_aa87e2b1112a455b8deabed784372198", org_id="org-partner")
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.llm.evals.createSuiteShare({
suiteId: "eval_suite_aa87e2b1112a455b8deabed784372198",
createEvalSuiteShareRequest: {
orgId: "org-partner",
},
});
console.log(result);
}
run();using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.Llm.Evals.CreateSuiteShareAsync(
suiteId: "eval_suite_aa87e2b1112a455b8deabed784372198",
body: new MeetKai.MKA1.Types.Components.CreateEvalSuiteShareRequest() {
OrgId = "org-partner",
}
);
// handle responsecurl --request POST \
--url https://apigw.mka1.com/api/v1/llm/evals/suites/{suite_id}/shares \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"org_id": "org-partner"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({org_id: 'org-partner'})
};
fetch('https://apigw.mka1.com/api/v1/llm/evals/suites/{suite_id}/shares', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://apigw.mka1.com/api/v1/llm/evals/suites/{suite_id}/shares",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'org_id' => 'org-partner'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://apigw.mka1.com/api/v1/llm/evals/suites/{suite_id}/shares"
payload := strings.NewReader("{\n \"org_id\": \"org-partner\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://apigw.mka1.com/api/v1/llm/evals/suites/{suite_id}/shares")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"org_id\": \"org-partner\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://apigw.mka1.com/api/v1/llm/evals/suites/{suite_id}/shares")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"org_id\": \"org-partner\"\n}"
response = http.request(request)
puts response.read_body{
"id": "eval_share_aa87e2b1112a455b8deabed784372198",
"object": "eval.suite.share",
"suite_id": "eval_suite_aa87e2b1112a455b8deabed784372198",
"org_id": "org-partner",
"granted_by": "user_1234",
"created_at": 1704067200
}Authorizations
Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.
Headers
Optional external end-user identifier forwarded by the API gateway.
Path Parameters
Body
application/json
The org that receives read-only access to this suite and all of its runs. Must not be the owning org.
Pattern:
^(?!\.\.?$)[^\s/\p{C}]{1,255}$Was this page helpful?
⌘I